Fees
Generated HTTP reference for the 2 operations the published OpenAPI document describes under fees.
1 min read
Fees
This page is generated from the published OpenAPI document. It is complete with respect to that document and says nothing about surfaces the document does not describe yet. See what is generated here for what that means.
Base URL: https://api.codespar.dev
Every operation below requires a Bearer token. See Authentication.
GET /v1/fees
GET
https://api.codespar.dev/v1/feesWhich rate-card lanes are measured and charged for this org
Responses
| Status | Body | Description |
|---|---|---|
200 | object | OK |
Response 200
| Field | Type | Required | Description |
|---|---|---|---|
lanes | object | yes | — |
period | string | yes | — |
Example request
curl -X GET https://api.codespar.dev/v1/fees \
-H "Authorization: Bearer $CODESPAR_API_KEY"const res = await fetch("https://api.codespar.dev/v1/fees", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.CODESPAR_API_KEY}`,
},
});
const data = await res.json();Example response 200
{
"period": "string",
"lanes": {
"movimentar": {
"computed": true,
"charging": true,
"latest": {
"period": "string",
"consumerCount": 1,
"movedMinor": 1,
"freeTierAppliedMinor": 1,
"billableMinor": 1,
"refundCreditMinor": 1,
"refundedCount": 1,
"feeMinor": 1,
"rateTier": "self_serve",
"computedAt": "2026-01-15T12:00:00.000Z",
"invoiced": true
}
},
"faturar": {
"computed": true,
"charging": true,
"latest": {
"period": "string",
"consumerCount": 1,
"movedMinor": 1,
"freeTierAppliedMinor": 1,
"billableMinor": 1,
"refundCreditMinor": 1,
"refundedCount": 1,
"feeMinor": 1,
"rateTier": "self_serve",
"computedAt": "2026-01-15T12:00:00.000Z",
"invoiced": true
}
},
"governar": {
"computed": true,
"charging": true,
"latest": {
"period": "string",
"consumerCount": 1,
"movedMinor": 1,
"freeTierAppliedMinor": 1,
"billableMinor": 1,
"refundCreditMinor": 1,
"refundedCount": 1,
"feeMinor": 1,
"rateTier": "self_serve",
"computedAt": "2026-01-15T12:00:00.000Z",
"invoiced": true
}
},
"operar": {
"computed": true,
"charging": true,
"latest": {
"period": "string",
"consumerCount": 1,
"movedMinor": 1,
"freeTierAppliedMinor": 1,
"billableMinor": 1,
"refundCreditMinor": 1,
"refundedCount": 1,
"feeMinor": 1,
"rateTier": "self_serve",
"computedAt": "2026-01-15T12:00:00.000Z",
"invoiced": true
}
}
}
}GET /v1/fees/movimentar
GET
https://api.codespar.dev/v1/fees/movimentarThe org's latest MOVIMENTAR-lane fee period (rate card v1)
Responses
| Status | Body | Description |
|---|---|---|
200 | object,null | OK |
Response 200
| Field | Type | Required | Description |
|---|---|---|---|
billableMinor | integer | yes | — |
computedAt | string (date-time) | yes | — |
consumerCount | integer | yes | — |
feeMinor | integer | yes | — |
freeTierAppliedMinor | integer | yes | — |
invoiced | boolean | yes | — |
movedMinor | integer | yes | — |
period | string | yes | — |
rateTier | "self_serve" | "commit_8bps" | "commit_6bps" | yes | — |
refundCreditMinor | integer | yes | — |
refundedCount | integer | yes | — |
Example request
curl -X GET https://api.codespar.dev/v1/fees/movimentar \
-H "Authorization: Bearer $CODESPAR_API_KEY"const res = await fetch("https://api.codespar.dev/v1/fees/movimentar", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.CODESPAR_API_KEY}`,
},
});
const data = await res.json();Example response 200
{
"period": "string",
"consumerCount": 1,
"movedMinor": 1,
"freeTierAppliedMinor": 1,
"billableMinor": 1,
"refundCreditMinor": 1,
"refundedCount": 1,
"feeMinor": 1,
"rateTier": "self_serve",
"computedAt": "2026-01-15T12:00:00.000Z",
"invoiced": true
}